# Uses of Class
javassist.bytecode.ExceptionTable

Packages that use ExceptionTable
Package
Description
javassist.bytecode
Bytecode-level API.

## Uses of ExceptionTable in javassist.bytecode

Methods in javassist.bytecode that return ExceptionTable
Modifier and Type
Method
Description
`ExceptionTable`
ExceptionTable.`copy(ConstPool newCp, Map<String,String> classnames)`
Makes a copy of this `exception_table[]`.
`ExceptionTable`
Bytecode.`getExceptionTable()`
Returns `exception_table`.
`ExceptionTable`
CodeAttribute.`getExceptionTable()`
Returns `exception_table[]`.
Methods in javassist.bytecode with parameters of type ExceptionTable
Modifier and Type
Method
Description
`void`
ExceptionTable.`add(int index, ExceptionTable table, int offset)`
Copies the given exception table at the specified position in the table.
`void`
CodeIterator.`append(ExceptionTable et, int offset)`
Copies and appends the entries in the given exception table at the end of the exception table in the code attribute edited by this object.
`void`
CodeIterator.`insert(ExceptionTable et, int offset)`
Copies and inserts the entries in the given exception table at the beginning of the exception table in the code attribute edited by this object.
Constructors in javassist.bytecode with parameters of type ExceptionTable
Modifier
Constructor
Description
``
`CodeAttribute(ConstPool cp, int stack, int locals, byte[] code, ExceptionTable etable)`
Constructs a `Code_attribute`.